<!DOCTYPE html>
<html>
<title> Bootstrap template- Pizza 365 project</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<body onload="onPageLoading()">

    <!-- Menu -->
    <div class="container-fluid bg-light">
        <div class="row">
            <div class="col-sm-12">
                <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav nav-fill w-100">
                            <li class="nav-item active">
                                <a class="nav-link" href="#">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#plans">Plans</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#about">About</a>
                            </li>
                            <li class="nav-item">
                                <button class="btn" id="order-detail" href="viewOrder.html"
                                    onclick="onBtnOrderDetailClick()">Order Detail</button>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>
    </div>

    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0;">
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <!-- Title row home -->
                    <div class="col-sm-12 text-center text-warning">
                        <h1>Pizza 365</h1>
                        <h1>Truly italian!</h1>
                    </div>

                    <!-- Slide row home -->
                    <div class="col-sm-12">
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Fourth slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Fifth slide">
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button"
                                data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button"
                                data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>
                        </div>
                    </div>

                    <!-- Title what we offer -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom text-warning">Tại sao lại Pizza 365:</b></h2>
                    </div>

                    <!-- Content what we offer -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-3 p-4 bg-warning text-white border rounded-circle text-center">
                                <h3 class="p-2">Design</h3>
                                <p class="p-2">Thiết kế của quán sang trọng, gần gũi với thiên nhiên, đem lại cho người
                                    dùng cảm giác thư giãn và thoải mái khi thưởng thức các món ăn tại đây.</p>
                            </div>
                            <div class="col-sm-3 p-4 bg-warning text-white border rounded-circle text-center">
                                <h3 class="p-2">Branding</h3>
                                <p class="p-2">Thương hiệu nổi tiếng xuất xứ từ nước Ý.</p>
                            </div>
                            <div class="col-sm-3 p-4 bg-warning text-white border rounded-circle text-center">
                                <h3 class="p-2">Consultation</h3>
                                <p class="p-2">Hợp tác với nhiều doanh nghiệp trên thế giới nói chung và cả nước nói
                                    riêng.</p>
                            </div>
                            <div class="col-sm-3 p-4 bg-warning text-white border rounded-circle text-center">
                                <h3 class="p-2">Promises</h3>
                                <p class="p-2">Nhân viên phục vụ tận tình, chu đáo và sẽ không làm người dùng thất vọng.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="plans" class="row">
                    <!-- Title what we offer -->
                    <div class="col-sm-12 text-center text-warning p-4 mt-4">
                        <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
                        <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
                    </div>
                    <!-- Content what we offer -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-dark text-white text-center">
                                        <h3>S (small)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item"><b>20cm</b> Đường kính</li>
                                            <li class="list-group-item"><b>2</b> Sườn nướng</li>
                                            <li class="list-group-item"><b>200g</b> Salad</li>
                                            <li class="list-group-item"><b>2</b> Nước ngọt</li>
                                            <li class="list-group-item">
                                                <h1><b>150.000</b></h1> VND
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center bg-warning">
                                        <button class="btn btn-info border-white" id="btn-choose-small"
                                            onclick="onBtnSmallSizeClick()">Chọn</button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-secondary text-white text-center">
                                        <h3>M (medium)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item"><b>25cm</b> Đường kính</li>
                                            <li class="list-group-item"><b>4</b> Sườn nướng</li>
                                            <li class="list-group-item"><b>300g</b> Salad</li>
                                            <li class="list-group-item"><b>3</b> Nước ngọt</li>
                                            <li class="list-group-item">
                                                <h1><b>200.000</b></h1> VND
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center bg-warning">
                                        <button class="btn btn-info border-white" id="btn-choose-medium"
                                            onclick="onBtnMediumSizeClick()">Chọn</button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-dark text-white text-center">
                                        <h3>L (large)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item"><b>30cm</b> Đường kính</li>
                                            <li class="list-group-item"><b>8</b> Sườn nướng</li>
                                            <li class="list-group-item"><b>500g</b> Salad</li>
                                            <li class="list-group-item"><b>4</b> Nước ngọt</li>
                                            <li class="list-group-item">
                                                <h1><b>250.000</b></h1> VND
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center bg-warning">
                                        <button class="btn btn-info border-white" id="btn-choose-large"
                                            onclick="onBtnLargeSizeClick()">Chọn</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="about" class="row">
                    <!-- Title Who We Are -->
                    <div class="col-sm-12 text-center text-warning p-4 mt-4">
                        <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
                    </div>

                    <!-- Content Who We Are -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                    <img src="images/pizza_type_1.jpg" class="card-img-top">
                                    <div class="card-body text-center bg-warning text-white rounded">
                                        <h3>Hawai</h3>
                                        <p> Sam Panopoulos, a Greek-born
                                            Canadian, created the first Hawaiian pizza at the Satellite Restaurant in
                                            Chatham, Ontario, Canada in 1962.</p>
                                        <p><button class="btn btn-info w-100 border-white" id="btn-hawai-pizza"
                                                onclick="onBtnHawaiPizzaClick()">Chọn</button></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                    <img src="images/pizza_type_2.jpg" class="card-img-top">
                                    <div class="card-body text-center bg-warning text-white rounded">
                                        <h3>Hải sản</h3>
                                        <p>Seafood pizza is pizza prepared with seafood as a primary ingredient. Many
                                            types of seafood ingredients in fresh, frozen or canned forms may be used on
                                            seafood pizza.</p>
                                        <p><button class="btn btn-info w-100 border-white" id="btn-seefood-pizza"
                                                onclick="onBtnSeefoodPizzaClick()">Chọn</button></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                    <img src="images/pizza_type_3.jpg" class="card-img-top">
                                    <div class="card-body text-center bg-warning text-white rounded">
                                        <h3>Thịt hun khói</h3>
                                        <p>Herb and Tomato Bacon Pizza - homemade pizza dough topped with bacon, cheese,
                                            tomatoes, and herbs is the perfect pizza to make tonight for the whole
                                            family!</p>
                                        <p><button class="btn btn-info w-100 border-white" id="btn-bacon-pizza"
                                                onclick="onBtnBaconPizzaClick()">Chọn</button></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="drink">
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom text-mist text-warning">Đồ uống</b></h2>
                    </div>
                    <div class="row">
                        <select name="" id="select-drink" class="col-sm-6 form-control mx-auto">
                            <option value="0">Chọn loại đồ uống ...</option>
                        </select>
                    </div>
                    <table id="show-drink" class="table mt-4 w-50 table-striped mx-auto">
                        <tr class="bg-shadow text-mist">
                            <th>Loại nước</th>
                            <th>Giá</th>
                        </tr>
                    </table>
                </div>
                <div id="contact" class="row">
                    <!-- Title Contact Us -->
                    <div class="col-sm-12 text-center text-warning p-4 mt-4">
                        <h2><b class="p-2 border-bottom">Gửi đơn hàng</b></h2>
                    </div>

                    <!-- Content Contact Us -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="fullname">Họ và tên</label>
                                    <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                                </div>
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                                </div>
                                <div class="form-group">
                                    <label for="dien-thoai">Điện thoại</label>
                                    <input type="text" class="form-control" id="inp-dien-thoai"
                                        placeholder="Điện thoại">
                                </div>
                                <div class="form-group">
                                    <label for="dia-chi">Địa chỉ</label>
                                    <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                                </div>
                                <div class="form-group">
                                    <label for="message">Lời nhắn</label>
                                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                                </div>
                                <div class="form-group">
                                    <label for="voucher">Mã giảm giá (voucher ID)</label>
                                    <input type="text" class="form-control" id="inp-voucher" placeholder="Voucher">
                                </div>
                                <button type="button" class="btn btn-info w-100 text-white"
                                    onclick="onBtnSendClick()">Kiểm tra đơn</button>
                            </div>
                        </div>
                    </div>
                    <!-- vùng hiển thị thông tin đơn hàng(order) -->
                    <div id="div-container-order" class="container bg-info p-2 jumbotron mt-4" style="display: none;">
                        <div id="div-order-infor" class="text-white p-3">...</div>
                        <div class="p-2">
                            <button type="button" class="btn bg-warning text-mist w-100 text-white"
                                onclick="onBtnConfirmClick()">Xác
                                nhận</button>
                        </div>
                    </div>
                    <!-- vùng hiển thị phần cảm ơn -->>
                    <div id="div-container-thanks" class="container bg-warning p-2 jumbotron mt-4"
                        style="display: none;">
                        <div id="div-message-thanks" class="text-dark p-3">
                            <p>Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</p>
                            <p>Mã đơn hàng: <span id="span-show-orderId"></span></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-light p-5">
        <div class="row text-center">
            <div class="col-sm-12">
                <h4 class="m-2">Footer</h4>
                <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
                <div class="m-2">
                    <i class="fa fa-facebook-official w3-hover-opacity"></i>
                    <i class="fa fa-instagram w3-hover-opacity"></i>
                    <i class="fa fa-snapchat w3-hover-opacity"></i>
                    <i class="fa fa-pinterest-p w3-hover-opacity"></i>
                    <i class="fa fa-twitter w3-hover-opacity"></i>
                    <i class="fa fa-linkedin w3-hover-opacity"></i>
                </div>
            </div>
        </div>
    </div>
    <script>
        "use strict";
        // REGION 1:
        const gDRINK_BASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/drinks";
        const gVOUVHER_BASE_URL = "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/";
        const gBASE_URL_ORDER = "http://42.115.221.44:8080/devcamp-pizza365/orders";
        const gREQUEST_STATUS_OK = 200;
        const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
        const gREQUEST_CREATE_SUCCESS = 201;
        const gREQUEST_STATUS_FINISH_AND_OK = 200;

        const gDETAIL_FORM_URL = "viewOrder.html";
        // bạn có thê dùng để lưu trữ combo được chọn, mỗi khi khách chọn bạn lại đổi giá trị properties của nó
        var gSelectedMenuStructure = {
            menuName: "...",    // S, M, L
            duongKinhCM: 0,
            suongNuong: 0,
            saladGr: 0,
            drink: 0,
            priceVND: 0
        }
        // bạn có thể dùng để lưu loại pizza đươc chọn, mỗi khi khách chọn, bạn lại đổi giá trị cho nó
        var gSelectedPizzaType = "..."
        var gDrink = "";

        var gThongTinDatHang = {
            name: "",
            email: "",
            numPhone: "",
            address: "",
            message: "",
            voucher: ""
        }

        // khai báo object order để chứa thông tin đặt hàng với 14 thuộc tính
        var gObjectRequest = {
            kichCo: "",
            duongKinh: "",
            suon: "",
            salad: "",
            loaiPizza: "",
            idVourcher: "",
            idLoaiNuocUong: "",
            soLuongNuoc: "",
            hoTen: "",
            thanhTien: "",
            email: "",
            soDienThoai: "",
            diaChi: "",
            loiNhan: ""
        }
        // REGION 2:
        // REGION 3:

        function onPageLoading() {
            getDrinkFromAPI(gDRINK_BASE_URL);
            showDrinkMenu(gDRINK_BASE_URL);
        }

        function onBtnSmallSizeClick() {
            changeSizeButtonColor("S");
            var vSelectedMenuStructure = getMenu(gSelectedMenuStructure, "S", "20cm", 2, "200g", 2, 150000);
        }

        function onBtnMediumSizeClick() {
            changeSizeButtonColor("M");
            var vSelectedMenuStructure = getMenu(gSelectedMenuStructure, "M", "25cm", 4, "300g", 3, 200000);
        }

        function onBtnLargeSizeClick() {
            changeSizeButtonColor("L");
            var vSelectedMenuStructure = getMenu(gSelectedMenuStructure, "L", "30cm", 8, "500g", 4, 250000);
        }

        function onBtnHawaiPizzaClick() {
            changeTypeButtonColor(1);
            gSelectedPizzaType = "Hawai Pizza";
            console.log("%c Bạn đã chọn: " + gSelectedPizzaType, "color: orange");
        }

        function onBtnSeefoodPizzaClick() {
            changeTypeButtonColor(2);
            gSelectedPizzaType = "SeeFood Pizza";
            console.log("%c Bạn đã chọn: " + gSelectedPizzaType, "color: orange");
        }

        function onBtnBaconPizzaClick() {
            changeTypeButtonColor(3);
            gSelectedPizzaType = "Bacon Pizza";
            console.log("%c Bạn đã chọn: " + gSelectedPizzaType, "color: orange");
        }

        function onBtnSendClick() {
            getDataFromForm(gThongTinDatHang);
            var vCheckValidate = validateData(gThongTinDatHang);
            if (!vCheckValidate) {
                alert("Không được bỏ trống các thông tin. Email phải có ký tự @ !");
            }
            else {
                showData(gThongTinDatHang);
            }
        }

        function onBtnConfirmClick() {
            console.log("-----------------------------------------");
            console.log("%c XÁC NHẬN ĐƠN ĐẶT HÀNG", "color: red");
            console.log("Họ và tên: " + gThongTinDatHang.name);
            console.log("Email: " + gThongTinDatHang.email);
            console.log("Điện thoại: " + gThongTinDatHang.numPhone);
            console.log("Địa chỉ: " + gThongTinDatHang.address);
            console.log("Lời nhắn: " + gThongTinDatHang.message);
            console.log("-----------------------------------------");
            console.log("Kích cỡ: " + gSelectedMenuStructure.menuName);
            console.log("Đưuòng kính: " + gSelectedMenuStructure.duongKinhCM);
            console.log("Sườn nướng: " + gSelectedMenuStructure.suongNuong);
            console.log("Salad: " + gSelectedMenuStructure.saladGr);
            console.log("Nước ngọt: " + gSelectedMenuStructure.drink);
            console.log("-----------------------------------------");
            console.log("Loại pizza: " + gSelectedPizzaType);
            console.log("Loại nước uống: " + getNameFromDrinkValue(gDrink));
            console.log("Mã voucher: " + gThongTinDatHang.voucher);
            console.log("Giá vnd: " + (gSelectedMenuStructure.priceVND + getPriceFromDrinkValue(gDrink)));
            console.log("Discount %: " + getVoucher(gThongTinDatHang.voucher, gVOUVHER_BASE_URL));
            console.log("Phải thanh toán vnd: " + getSoTienThanhToan(gSelectedMenuStructure.priceVND + getPriceFromDrinkValue(gDrink), getVoucher(gThongTinDatHang.voucher, gVOUVHER_BASE_URL)));
            console.log("-----------------------------------------");

            createOrderClick(gObjectRequest);
        }

        function onBtnOrderDetailClick() {
            openOrderDetail();
        }
        // REGION 4:
        function getMenu(paramMenuObj, paramMenuName, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramPrice) {
            paramMenuObj.menuName = paramMenuName;
            paramMenuObj.duongKinhCM = paramDuongKinh;
            paramMenuObj.suongNuong = paramSuonNuong;
            paramMenuObj.saladGr = paramSalad;
            paramMenuObj.drink = paramNuocNgot;
            paramMenuObj.priceVND = paramPrice;

            console.log("%c Memu chọn: ", "color: red");
            console.log("Size: " + paramMenuName);
            console.log("Đường kính: " + paramDuongKinh);
            console.log("Sườn nướng: " + paramSuonNuong);
            console.log("Salad: " + paramSalad);
            console.log("Nước ngọt: " + paramNuocNgot);
            console.log("Price: " + paramPrice);
        }

        function changeSizeButtonColor(paramSize) {
            var vBtnSmall = document.getElementById("btn-choose-small");
            var vBtnMedium = document.getElementById("btn-choose-medium");
            var vBtnLarge = document.getElementById("btn-choose-large");

            if (paramSize === "S") {  //nếu chọn PRO thì thay màu nút Pro bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
                //code đỏi màu 3 nút, khi gói pro được chọn
                vBtnSmall.className = "btn btn-warning border-white";
                vBtnMedium.className = "btn btn-info border-white";
                vBtnLarge.className = "btn btn-info border-white";
            }
            else if (paramSize === "M") {  //nếu chọn Basic thì thay màu nút Pro bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
                vBtnSmall.className = "btn btn-info border-white";
                vBtnMedium.className = "btn btn-warning border-white";
                vBtnLarge.className = "btn btn-info border-white";
            }
            else if (paramSize === "L") { //nếu chọn Premium thì thay màu nút Premium bàng màu cam, hai nút kia xanh
                //code đỏi màu 3 nút, khi gói premium được chọn
                vBtnSmall.className = "btn btn-info border-white";
                vBtnMedium.className = "btn btn-info border-white";
                vBtnLarge.className = "btn btn-warning border-white";
            }
        }

        function changeTypeButtonColor(paramType) {
            var vBtnType1 = document.getElementById("btn-hawai-pizza");
            var vBtnType2 = document.getElementById("btn-seefood-pizza");
            var vBtnType3 = document.getElementById("btn-bacon-pizza");

            if (paramType === 1) {  //nếu chọn PRO thì thay màu nút Pro bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
                //code đỏi màu 3 nút, khi gói pro được chọn
                vBtnType1.className = "btn btn-warning w-100 border-white";
                vBtnType2.className = "btn btn-info w-100 border-white";
                vBtnType3.className = "btn btn-info w-100 border-white";
            }
            else if (paramType == 2) {  //nếu chọn Basic thì thay màu nút Pro bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
                vBtnType1.className = "btn btn-info w-100 border-white";
                vBtnType2.className = "btn btn-warning w-100 border-white";
                vBtnType3.className = "btn btn-info w-100 border-white";
            }
            else if (paramType == 3) { //nếu chọn Premium thì thay màu nút Premium bàng màu cam, hai nút kia xanh
                //code đỏi màu 3 nút, khi gói premium được chọn
                vBtnType1.className = "btn btn-info w-100 border-white";
                vBtnType2.className = "btn btn-info w-100 border-white";
                vBtnType3.className = "btn btn-warning w-100 border-white";
            }
        }

        // Lấy thông tin nước uống hiển thi lên browser
        function showDrinkMenu(paramAPI) {
            "use strict";
            const vEND_OF_TABLE = -1;
            var vTableShowDrink = document.getElementById("show-drink");
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("GET", paramAPI, false);
            vXmlHttp.send();
            var vListDrink = JSON.parse(vXmlHttp.responseText);
            for (var bIndex = 0; bIndex < vListDrink.length; bIndex++) {
                var vNewRow = vTableShowDrink.insertRow(vEND_OF_TABLE);
                var vCellFirstDrink = vNewRow.insertCell(0);
                var vCellLastPrice = vNewRow.insertCell(1);
                vCellFirstDrink.innerHTML = vListDrink[bIndex].tenNuocUong;
                vCellLastPrice.innerHTML = vListDrink[bIndex].donGia;
            }
        }

        // Hàm lấy đồ uống từ API vào ô select
        function getDrinkFromAPI(paramAPI) {
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("GET", paramAPI, false);
            vXmlHttp.send();
            var vListDrink = JSON.parse(vXmlHttp.responseText);
            for (var bIndex = 0; bIndex < vListDrink.length; bIndex++) {
                var bSelectDrink = document.getElementById("select-drink");
                var bNewOption = document.createElement("option");
                bNewOption.value = vListDrink[bIndex].maNuocUong;
                bNewOption.innerHTML = vListDrink[bIndex].tenNuocUong;
                bSelectDrink.appendChild(bNewOption);
            }
        }

        // Function trả về tên nước uống qua value
        function getNameFromDrinkValue(paramValueDrink) {
            var vIsFound = false;
            var vName = "";
            var vIndex = 0;
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("GET", gDRINK_BASE_URL, false);
            vXmlHttp.send();
            var vListDrink = JSON.parse(vXmlHttp.responseText);
            while (vIsFound == false && vIndex < vListDrink.length) {
                if (vListDrink[vIndex].maNuocUong == paramValueDrink) {
                    vIsFound = true;
                    vName = vListDrink[vIndex].tenNuocUong;
                }
                vIndex++;
            }
            return vName;
        }

        // Function trả về giá nước uống qua value
        function getPriceFromDrinkValue(paramValueDrink) {
            var vIsFound = false;
            var vPrice = 0;
            var vIndex = 0;
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("GET", gDRINK_BASE_URL, false);
            vXmlHttp.send();
            var vListDrink = JSON.parse(vXmlHttp.responseText);
            while (vIsFound == false && vIndex < vListDrink.length) {
                if (vListDrink[vIndex].maNuocUong == paramValueDrink) {
                    vIsFound = true;
                    vPrice = vListDrink[vIndex].donGia;
                }
                vIndex++;
            }
            return vPrice;
        }

        // Hàm lấy voucher từ server qua API
        function getVoucher(paramVoucher, paramAPI) {
            var vVoucher = 0;
            if (!paramVoucher.trim()) {
                vVoucher = 0;
            }
            else {
                var vXmlHttp = new XMLHttpRequest();
                vXmlHttp.open("GET", paramAPI + paramVoucher, false);
                vXmlHttp.send();
                var vStatusCode = vXmlHttp.status;
                if (vStatusCode == gREQUEST_STATUS_FINISH_AND_OK) {
                    var bVoucherResponse = JSON.parse(vXmlHttp.responseText);
                    vVoucher = bVoucherResponse.phanTramGiamGia;
                }
                else {
                    vVoucher = -1;
                }
            }
            return vVoucher;
        }

        // Lấy dữ liệu thông tin người nhập lưu vào object
        function getDataFromForm(paramObj) {
            var vInpName = document.getElementById("inp-fullname");
            var vInpEmail = document.getElementById("inp-email");
            var vInpPhoneNum = document.getElementById("inp-dien-thoai");
            var vInpAddress = document.getElementById("inp-dia-chi");
            var vInpMessage = document.getElementById("inp-message");
            var vInpVoucher = document.getElementById("inp-voucher");
            var vSelectDrink = document.getElementById("select-drink");

            paramObj.name = vInpName.value.trim();
            paramObj.email = vInpEmail.value.trim();
            paramObj.numPhone = vInpPhoneNum.value.trim();
            paramObj.address = vInpAddress.value.trim();
            paramObj.message = vInpMessage.value.trim();
            paramObj.voucher = vInpVoucher.value.trim();
            gDrink = vSelectDrink.value;
        }

        // Check dữ liệu
        function validateData(paramObj) {
            // debugger;
            var vCheckValidate = true;
            if (!paramObj.name) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Bạn chưa nhập tên");
            }
            if (!paramObj.email) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Bạn chưa nhập email");
            }
            if (!paramObj.email.includes("@")) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Email không hợp lệ");
            }
            if (!paramObj.numPhone) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Bạn chưa nhập số điện thoại");
            }
            if (!paramObj.address) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Bạn chưa nhập địa chỉ");
            }
            if (gDrink == 0) {
                vCheckValidate = false;
                console.assert(vCheckValidate, "Bạn chưa chọn đồ uống");
            }
            return vCheckValidate;
        }

        // Show thông tin lên browser
        function showData(paramObj) {
            var vMessage = "";
            var vDivContainerOrder = document.getElementById("div-container-order");
            var vDivOrderInfor = document.getElementById("div-order-infor");

            vDivContainerOrder.style.display = "block";
            vMessage = "Họ và tên: " + paramObj.name + "<br>";
            vMessage += "Email: " + paramObj.email + "<br>";
            vMessage += "Điện thoại: " + paramObj.numPhone + "<br>";
            vMessage += "Địa chỉ: " + paramObj.address + "<br>";
            vMessage += "Lời nhắn: " + paramObj.message + "<br>";
            vMessage += "------------------------------------------" + "<br>";
            vMessage += "Kích cỡ: " + gSelectedMenuStructure.menuName + "<br>";
            vMessage += "Đường Kính: " + gSelectedMenuStructure.duongKinhCM + "<br>";
            vMessage += "Sườn nướng: " + gSelectedMenuStructure.suongNuong + "<br>";
            vMessage += "Salad: " + gSelectedMenuStructure.saladGr + "<br>";
            vMessage += "Nước ngọt: " + gSelectedMenuStructure.drink + "<br>";
            vMessage += "------------------------------------------" + "<br>";
            vMessage += "Loại pizza: " + gSelectedPizzaType + "<br>";
            vMessage += "Loại nước uống: " + getNameFromDrinkValue(gDrink) + "<br>";
            vMessage += "Mã voucher: " + paramObj.voucher + "<br>";
            vMessage += "Giá: " + (gSelectedMenuStructure.priceVND + getPriceFromDrinkValue(gDrink)) + "<br>";
            vMessage += "Discount %: " + getVoucher(paramObj.voucher, gVOUVHER_BASE_URL) + "<br>";

            if (getVoucher(paramObj.voucher, gVOUVHER_BASE_URL) == -1) {
                alert("Mã giảm giá không tồn tại");
            }

            vMessage += "Phí thanh toán vnd: " + getSoTienThanhToan(gSelectedMenuStructure.priceVND + getPriceFromDrinkValue(gDrink), getVoucher(paramObj.voucher, gVOUVHER_BASE_URL)) + "<br>";

            vDivOrderInfor.innerHTML = vMessage;
        }

        // Lấy voucher qua voucher ID
        function getVoucherByVoucherId(paramInputVoucherId) {
            var vIsFound = false;
            var vPercentDiscount = 0;
            var vVoucherId = 0;
            while (vIsFound == false && vVoucherId < gDiscountVouchers.length) {
                if (gDiscountVouchers[vVoucherId].voucherID == paramInputVoucherId) {
                    vIsFound = true;
                    vPercentDiscount = gDiscountVouchers[vVoucherId].percentDiscount;
                }
                vVoucherId++;
            }
            return vPercentDiscount;
        }

        // Hàm trả về số tiền cần thanh toán
        function getSoTienThanhToan(paramMoney, paramDiscount) {
            var vSoTienDuocGiam = (paramMoney * paramDiscount) / 100;
            return paramMoney - vSoTienDuocGiam;
        }

        // function gọi tạo một order mới
        function createOrderClick(paramOrderCreate) {
            "use strict";
            paramOrderCreate.kichCo = gSelectedMenuStructure.menuName;
            paramOrderCreate.duongKinh = gSelectedMenuStructure.duongKinhCM;
            paramOrderCreate.suon = gSelectedMenuStructure.suongNuong;
            paramOrderCreate.salad = gSelectedMenuStructure.saladGr;
            paramOrderCreate.loaiPizza = gSelectedPizzaType;
            paramOrderCreate.idVourcher = gThongTinDatHang.voucher;
            paramOrderCreate.idLoaiNuocUong = gDrink;
            paramOrderCreate.soLuongNuoc = "1";
            paramOrderCreate.hoTen = gThongTinDatHang.name;
            paramOrderCreate.thanhTien = (getSoTienThanhToan(gSelectedMenuStructure.priceVND + getPriceFromDrinkValue(gDrink), getVoucher(gThongTinDatHang.voucher, gVOUVHER_BASE_URL)));
            paramOrderCreate.email = gThongTinDatHang.email;
            paramOrderCreate.soDienThoai = gThongTinDatHang.numPhone
            paramOrderCreate.diaChi = gThongTinDatHang.address;
            paramOrderCreate.loiNhan = gThongTinDatHang.message;
            var vXmlHttpCreateOrder = new XMLHttpRequest();
            vXmlHttpCreateOrder.open("POST", gBASE_URL_ORDER, true);
            vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
            vXmlHttpCreateOrder.send(JSON.stringify(paramOrderCreate));
            vXmlHttpCreateOrder.onreadystatechange =
                function () {
                    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
                        var vCreatedOrder = vXmlHttpCreateOrder.responseText;

                        var vObjCreateOrder = JSON.parse(vCreatedOrder);

                        var vDivShowThank = document.getElementById("div-container-thanks");
                        var vDivOrderInfor = document.getElementById("div-container-order");
                        vDivShowThank.style.display = "block";
                        vDivOrderInfor.style.display = "none";

                        var vSpanShowOrderId = document.getElementById("span-show-orderId");
                        vSpanShowOrderId.innerHTML = vObjCreateOrder.orderId;
                        getAttibuteForButtonShowOrder(vObjCreateOrder.orderId, vObjCreateOrder.id);
                    }
                }
        }

        function getAttibuteForButtonShowOrder(paramOrderID, paramID) {
            var vBtnOpenOrder = document.getElementById("order-detail");
            vBtnOpenOrder.setAttribute("data-orderid", paramOrderID);
            vBtnOpenOrder.setAttribute("data-id", paramID);
            console.log(vBtnOpenOrder.dataset.orderid);
            console.log(vBtnOpenOrder.dataset.id);
        }

        function openOrderDetail() {
            var vBtnOpenOrder = document.getElementById("order-detail");
            var vURLSiteOpen = gDETAIL_FORM_URL + "?" + "orderId=" + vBtnOpenOrder.dataset.orderid + "&id=" + vBtnOpenOrder.dataset.id;
            window.location.href = vURLSiteOpen;
        }
    </script>
</body>

</html>